org.apache.mina.example.sumup.codec

## Class SumUpProtocolCodecFactory

- java.lang.Object
- - org.apache.mina.filter.codec.demux.DemuxingProtocolCodecFactory
  - - org.apache.mina.example.sumup.codec.SumUpProtocolCodecFactory

- All Implemented Interfaces:
    ProtocolCodecFactory

      public class SumUpProtocolCodecFactory
      extends DemuxingProtocolCodecFactory

  A `ProtocolCodecFactory` that provides a protocol codec for SumUp protocol.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SumUpProtocolCodecFactory(boolean server)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.filter.codec.demux.DemuxingProtocolCodecFactory

      `addMessageDecoder, addMessageDecoder, addMessageDecoder, addMessageEncoder, addMessageEncoder, addMessageEncoder, addMessageEncoder, addMessageEncoder, addMessageEncoder, getDecoder, getEncoder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SumUpProtocolCodecFactory

          public SumUpProtocolCodecFactory(boolean server)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.